Межсайтовый скриптинг в Trac

Дата публикации:
23.01.2006
Всего просмотров:
1071
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Trac 0.x
Уязвимые версии: Trac версии до 0.9.3.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в HTML WikiProcessor. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

{{{
#!html
< IMG SRC="javascript:[code]">
}}}

URL производителя: projects.edgewall.com/trac/

Решение: Установите последнюю версию (0.9.3) с сайта производителя.

Источник:

Ссылки: XSS scripting attack possible from html wikiprocessor

или введите имя

CAPTCHA